/*-
 *  Copyright 2020 Beuth Hochschule für Technik Berlin, Hochschule für Technik Stuttgart
 * 
 *  This file is part of CityDoctor2.
 *
 *  CityDoctor2 is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  CityDoctor2 is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with CityDoctor2.  If not, see <https://www.gnu.org/licenses/>.
 */
package de.hft.stuttgart.citydoctor2.check;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import de.hft.stuttgart.citydoctor2.datastructure.FeatureType;

/**
 * Include filters for the yaml configuration file. Can be a list of feature IDs
 * or a list of feature types, which should be included in the validation
 * process.
 * 
 * @author Matthias Betz
 *
 */
public class IncludeFilterConfiguration implements Serializable {

	private static final long serialVersionUID = 1840264505629236113L;

	private List<FeatureType> types;
	private List<String> ids;

	public List<FeatureType> getTypes() {
		if (types == null) {
			types = new ArrayList<>();
		}
		return types;
	}

	public void setTypes(List<FeatureType> types) {
		this.types = types;
	}

	public List<String> getIds() {
		if (ids == null) {
			ids = new ArrayList<>();
		}
		return ids;
	}

	public void setIds(List<String> ids) {
		this.ids = ids;
	}

}
